#for 64bit
DESTDIR=
CC=g++
INSTALL= install
SCCS= sccs

CFLAG= -Wall -DOS_LINUX -fPIC -msse2 -mavx -g -m64

LFLAG= -lcrypt -lm -lpthread
LINT= lint
LIBS =

AR = ar
e2e_LDFLAG = -G -h libvstapi_e2e_ast.so -melf_x86_64

LEX = lex
e2e_ast_VSTLIB = libvstapi_e2e_ast.a
e2e_ast_VSTLIBSO = libvstapi_e2e_ast.so
e2e_ast_VSTSAMPLE = vstsample_e2e_ast
 
.c~.c:
	sccs get $<

### Compiling Rules
.c.o:
	@echo $* compile
	${CC} -c ${CFLAG} -I../inc $<

ALLEXE = ${e2e_ast_VSTLIB} ${e2e_ast_VSTLIBSO} ${e2e_ast_VSTSAMPLE}

all: ${ALLEXE}


${e2e_ast_VSTLIB}: vstapi_e2e_ast.o
		${AR} rv ${e2e_ast_VSTLIB} $?

${e2e_ast_VSTLIBSO}: vstapi_e2e_ast.o
		ld ${e2e_LDFLAG} -o ${e2e_ast_VSTLIBSO} $?

${e2e_ast_VSTSAMPLE}: vstsample_e2e_ast.o 
		${CC} -o ${e2e_ast_VSTSAMPLE} ${LFLAG} vstsample_e2e_ast.o libvstapi_e2e_ast.a 

clean:
	rm -f *.o core ${ALLEXE}
 
lint: ${CFILES}
	${LINT} -u -lm ${CFILES} | more

